# Uses of Class
javax.swing.event.TreeSelectionEvent

Packages that use TreeSelectionEvent
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.event
Provides for events fired by Swing components.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

## Uses of TreeSelectionEvent in javax.swing

Methods in javax.swing with parameters of type TreeSelectionEvent
Modifier and Type
Method
Description
`protected void`
JTree.`fireValueChanged​(TreeSelectionEvent e)`
Notifies all listeners that have registered interest for notification on this event type.
`void`
JTree.AccessibleJTree.`valueChanged​(TreeSelectionEvent e)`
Tree Selection Listener value change method.
`void`
JTree.TreeSelectionRedirector.`valueChanged​(TreeSelectionEvent e)`
Invoked by the `TreeSelectionModel` when the selection changes.

## Uses of TreeSelectionEvent in javax.swing.event

Methods in javax.swing.event with parameters of type TreeSelectionEvent
Modifier and Type
Method
Description
`void`
TreeSelectionListener.`valueChanged​(TreeSelectionEvent e)`
Called whenever the value of the selection changes.

## Uses of TreeSelectionEvent in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic with parameters of type TreeSelectionEvent
Modifier and Type
Method
Description
`void`
BasicTreeUI.TreeSelectionHandler.`valueChanged​(TreeSelectionEvent event)`
Messaged when the selection changes in the tree we're displaying for.

## Uses of TreeSelectionEvent in javax.swing.tree

Methods in javax.swing.tree with parameters of type TreeSelectionEvent
Modifier and Type
Method
Description
`protected void`
DefaultTreeSelectionModel.`fireValueChanged​(TreeSelectionEvent e)`
Notifies all listeners that are registered for tree selection events on this object.
`void`
DefaultTreeCellEditor.`valueChanged​(TreeSelectionEvent e)`
Resets `lastPath`.